Kirjoittaja Aihe: Kubuntu 22.10:een tulee ilmoitus Ubuntun päivityksestä 23.04 [ratkaistu]  (Luettu 2865 kertaa)

ilkant

  • Käyttäjä
  • Viestejä: 1264
  • Kubuntu
    • Profiili
Tänä aamuna tuli tietokoneen käynnistyksen jälkeen Kubuntu 22.10 ruudulle ilmoltus Ubuntu 23.04 versuon päivitysmahdollisuudesta. Ilmoituksessa oli Upgrade-painike (ei ollut siis suomea). Eihän Kubuntua kannattane päivittää tuolla, vaikka Kubuntu on Ubuntu + KDE.
« Viimeksi muokattu: 25.04.23 - klo:23.35 kirjoittanut ilkant »

nm

  • Käyttäjä
  • Viestejä: 16190
    • Profiili
Päivitys ei vaihda työpöytäympäristöä, eli Kubuntu säilyy Kubuntuna.

ilkant

  • Käyttäjä
  • Viestejä: 1264
  • Kubuntu
    • Profiili
Päivitys ei vaihda työpöytäympäristöä, eli Kubuntu säilyy Kubuntuna.

Olen luullut, että Kubuntussa on tehty muutoksia sen verran, että pohjalla oleva Ubuntu ei ole ihan sama kuin Ubuntu yksistään. Näin ollen, jos päivittäisin nyt Kubuntuun tuon Ubuntu 23.04:n tulisi käytössä yhteensopivuusongelmia, virheilmoituksia ja toimimattomuuksia. Sitä en halua.

nm

  • Käyttäjä
  • Viestejä: 16190
    • Profiili
Olen luullut, että Kubuntussa on tehty muutoksia sen verran, että pohjalla oleva Ubuntu ei ole ihan sama kuin Ubuntu yksistään. Näin ollen, jos päivittäisin nyt Kubuntuun tuon Ubuntu 23.04:n tulisi käytössä yhteensopivuusongelmia, virheilmoituksia ja toimimattomuuksia. Sitä en halua.

Vaikka päivitysilmoituksessa lukee ”Ubuntu 23.04”, käytännössä se tarkoittaa ”Kubuntu 23.04”, jos järjestelmä on Kubuntu.

Voit siis huoletta hyväksyä päivityksen ja Kubuntusi pysyy senkin jälkeen Kubuntuna.

JaniAlander

  • Käyttäjä / moderaattori+
  • Viestejä: 3308
    • Profiili
Ja no 22.10 on väliversio ja pakko päivittää jossain kohtaa...
Core i5-9400F 2.9ghz 32GB Ram, Nvidia RTX2060 Kubuntu 22.04-64bit, Windows 10 Pro 64-bit Samsung Series 5, AMD A-6 2.1 GHz 4 Gt Ram, Ubuntu 18.04 64-bit.
Lenovo T60 Core2Duo 2GB Ram Ati Mobility Radeon 128 MB Ubuntu Mate 16.04-64bit
Commodore Amiga 500 1MB Ram.

ilkant

  • Käyttäjä
  • Viestejä: 1264
  • Kubuntu
    • Profiili
Kiitos neuvoista / rohkaisusta. Poistuin Kubutun Plasmasta ja käynnistin toisessa virutaaliterminaalissa do-release-upgraden. Meni läpi ongelmitta. Olen asentanut kokeilumielessä useampia ympäristöjä kuten node.js ja Stellariumin skriptausympäristön. Sen takia päivitettävää oli paljon.

Nyt on Kubuntu 23.04 ja Linux-kernel on versiota 6.2.x. Ja python on versiota 3.11.2. Ja....
Kiitokset ja kumarrus.

Nuo päivitykset alkavat mennä ongelmitta. Eipä tullut otettua mitään varmuuskopiota ennen päivitystä.  :) Ehkä kannattaisi kuitenkin...
« Viimeksi muokattu: 25.04.23 - klo:06.44 kirjoittanut ilkant »

ilkant

  • Käyttäjä
  • Viestejä: 1264
  • Kubuntu
    • Profiili
Nyt Kubuntu 23.04:ssä tein apt updaten ja upgraden. Tulos:

Koodia: [Valitse]
Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 libindi1 : Ristiriidat: libindi-plugins mutta 1.9.9+dfsg-2build1 on merkitty asennettavaksi
            Ristiriidat: libindialignmentdriver1 mutta 1.9.9+dfsg-2build1 on merkitty asennettavaksi
            Ristiriidat: libindidriver1 mutta 1.9.9+dfsg-2build1 on merkitty asennettavaksi
E: Rikkinäiset paketit

Indi on Kstarsin lisuke. Tai itsenäinen ohjelmisto, jolla voi säädellä kaukoputkea tai muuta laitetta tietokoneella. Mietin, että koko Indin voisi ehkä poistaa ja asentaa uusiksi. En itseasiassa enää käytä KStarsia, eli senkin poistaminen voisi olla mahdollista. Stellariumin käännöksessä cmake ilmoitti puuttuvasta libqtchartsqml2plugin.so. Sitä ei löytynyt apt:llä asennettavaksi eikä Google-haulla.

nm

  • Käyttäjä
  • Viestejä: 16190
    • Profiili
Nyt Kubuntu 23.04:ssä tein apt updaten ja upgraden. Tulos:

Koodia: [Valitse]
Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 libindi1 : Ristiriidat: libindi-plugins mutta 1.9.9+dfsg-2build1 on merkitty asennettavaksi
            Ristiriidat: libindialignmentdriver1 mutta 1.9.9+dfsg-2build1 on merkitty asennettavaksi
            Ristiriidat: libindidriver1 mutta 1.9.9+dfsg-2build1 on merkitty asennettavaksi
E: Rikkinäiset paketit

Indi on Kstarsin lisuke. Tai itsenäinen ohjelmisto, jolla voi säädellä kaukoputkea tai muuta laitetta tietokoneella. Mietin, että koko Indin voisi ehkä poistaa ja asentaa uusiksi. En itseasiassa enää käytä KStarsia, eli senkin poistaminen voisi olla mahdollista.

Kannattaa poistaa nuo paketit. Ehkä olet jossain vaiheessa käyttänyt PPA:ta, josta on jäänyt järjestelmään paketteja. Ne voivat puolestaan sotkea järjestelmäpäivityksiä, jos PPA:n paketeista ei ole saatavilla uudempaa versiota, mutta ne ovat riippuvaisia vanhoista Ubuntun paketeista. Jos poistat riippuvuusongelmaiset kirjastot, samalla poistuvat paketit, jotka riippuvat niistä.

Stellariumin käännöksessä cmake ilmoitti puuttuvasta libqtchartsqml2plugin.so. Sitä ei löytynyt apt:llä asennettavaksi eikä Google-haulla.

Tiedosto libqtchartsqlml2plugin.so sijaitsee paketissa qml6-module-qtcharts:
https://packages.ubuntu.com/lunar/qml6-module-qtcharts

Vai oletko asentanut Qt6:n erikseen muualta kuin Ubuntun lähteistä?

ilkant

  • Käyttäjä
  • Viestejä: 1264
  • Kubuntu
    • Profiili
Kannattaa poistaa nuo paketit. Ehkä olet jossain vaiheessa käyttänyt PPA:ta, josta on jäänyt järjestelmään paketteja.

Kyllä. Piti lisätä PPA, jotta sen Indin saisi asennettua. Poistan senkin tästä järjestelmästä.
Stellariumin käännöksessä cmake ilmoitti puuttuvasta libqtchartsqml2plugin.so. Sitä ei löytynyt apt:llä asennettavaksi eikä Google-haulla.

Vai oletko asentanut Qt6:n erikseen muualta kuin Ubuntun lähteistä?

Olen asennellut ohjeen mukaan Qt6:n vaatimat paketit. Kubuntu 22.10 käänsi Stellariumin kiltisti mukisematta. Nyt tälle Kubuntu 23.04:lle on tullut jo parikin ilmoitusta puuttuvista paketeista. Tai siis jokin linkki osoittaa cmakella tehdyssä tiedostossa olemattomaan tiedostoon. Kun sain yhden ratkaistua, tuli toinen puuttuva paketti virheilmoituksena. Stellariumin kehittäjä ihmetteli, miten edes se voi viitata 3D audio -aiheiseen kirtjastomoduuliin. Tutkin asiaa ja olen yhteydessä näihin kehittäjiin. Onkohan cmaken joku parametri vinossa? Tai on bugi jossain. Toistaiseksi tuntuu mielenkiintoiselta tutkia tuota. Stellariumista käänsin eilen suorituskelpoisen ohjelman ja siihen tuli viime viikolla tekemiäni fraasikorjauksia. Se onkin yksi syy käännellä uusinta versiota lähdekoodeista. Ja kaksi issueta tuli aamulla kirjoitettua, jotka taisivat olla kehittäjille jopa hyödyllisiä. Kohta on taloyhtiön hallintoon liittyvä kokous, joten jatkan tuota sen jälkeen.

EDIT: Poistin juuri sen PPA:n, josta noita on tullut:
Koodia: [Valitse]
sudo add-apt-repository --remove ppa:mutlaqja/ppa

Ja nyt apt upgrade meni virheittä läpi. Kiitän jälleen vinkeistä.
« Viimeksi muokattu: 25.04.23 - klo:16.24 kirjoittanut ilkant »

ilkant

  • Käyttäjä
  • Viestejä: 1264
  • Kubuntu
    • Profiili
Outo juttu. Työkalupalkissa oli kuvake, joka käynnisti aiemmin järjestelmäasetukset. Nyt sen painaminen ei tehnyt mitään. Sitten yritin käynnistää valikosta. Sama juttu. Lopuksi avasin Konsolen ja kirjoitin systemsettings. Sekään ei käynnistänyt /usr/bin/systemssettings -ohjelmaa. Mikäpä neuvoksi?

EDIT: Löytyi KDE System Settings is Being Revamped, And It Looks Beautiful. Onko tuo nyt niin kuin telakalla koko ohjelma ja ei käytettävissä? Vai onko juuri tällä hardwarella ongelmia näyttää ohjelman sivu? Sen ei pitäisi siinä tapauksessa palata komentopromptiin.
« Viimeksi muokattu: 26.04.23 - klo:01.17 kirjoittanut ilkant »

Eesaurus

  • Käyttäjä
  • Viestejä: 3406
    • Profiili
Outo juttu. Työkalupalkissa oli kuvake, joka käynnisti aiemmin järjestelmäasetukset. Nyt sen painaminen ei tehnyt mitään. Sitten yritin käynnistää valikosta. Sama juttu. Lopuksi avasin Konsolen ja kirjoitin systemsettings. Sekään ei käynnistänyt /usr/bin/systemssettings -ohjelmaa. Mikäpä neuvoksi?

EDIT: Löytyi KDE System Settings is Being Revamped, And It Looks Beautiful. Onko tuo nyt niin kuin telakalla koko ohjelma ja ei käytettävissä? Vai onko juuri tällä hardwarella ongelmia näyttää ohjelman sivu? Sen ei pitäisi siinä tapauksessa palata komentopromptiin.

Järjestelmäasetukset avautuu komentoriviltä komennolla
Koodia: [Valitse]
systemsettings5 Viitonen siis siellä lopussa. En osaa sanoa, miksei ohjelma aukea valikosta, mutta ainakin kannattaa suorittaa kaikki päivitykset ja käynnistää kone uudelleen.

Tuo linkki on vuosia vanha, ei taida liittyä asiaan.

ilkant

  • Käyttäjä
  • Viestejä: 1264
  • Kubuntu
    • Profiili
Nyt järjestelmäasetussovellus oli auki kun käynnistin Kubuntun. Ja aukeaa työkalupalkin kuvakkeesta. Jostain syystä eilen ei näin tapahtunut.